import subprocess as sp
import time
import os

from SteganographyApp.EncodeApp.ProVideo.DeleteFilesInFolder import delete
# dosya içeriklerini temizle---
#İzleme amaçlı tutulan img klasörlerinin içeriğinin silinmesi
delete('Frame')
delete('StegoEncodeAppFiles/CreatedKey')
delete('StegoEncodeAppFiles/HideBlokFrame')
delete('StegoEncodeAppFiles/HideDataFrame')
delete('StegoEncodeAppFiles/HideOutDataFrame')
delete('StegoEncodeAppFiles/HideKeyOutFrame')
delete('StegoEncodeApp/outFrame')
if os.path.exists("output.wav"):
    os.remove("output.wav")
if os.path.exists("output.avi"):
    os.remove("output.avi")
if os.path.exists("out.avi"):
    os.remove("out.avi")
if os.path.exists("stego.avi"):
    os.remove("stego.avi")
if os.path.exists("out_stego.avi"):
    os.remove("out_stego.avi")
if os.path.exists("key.png"):
    os.remove("key.png")
if os.path.exists("n_key.png"):
    os.remove("n_key.png")
if os.path.exists("InputMsg/InputBinaryData.txt"):
    os.remove("InputMsg/InputBinaryData.txt")
time.sleep(1)
#--- dosya içeriklerini temizle
print("""
        Video Steganograpyh  \n
        Stego : LSB Video Steganography with BlockType
        *** ENCODE PROCESS ***
    """)

msj_data_in_path = "msg.txt"

#in_rec_status = input("Record (R/r):")
in_rec_status = 'r'
while (1):
    if in_rec_status == 'R' or in_rec_status == 'r':
        break
#video rec--
#cmd_video = ("python RecordApp\RecVideoMulti.py ")
cmd_video = ("python RecordApp\RcVideoFromFile.py ")
sp.call(cmd_video, shell=True)
time.sleep(1)
#--video kayıt
time.sleep(1)

# Veri Gizleme Algoritması Seçimi ---
# Algoritma seçimi için elde edilen değişken değeri : rgb_slct
# Renk kanalı seçimi için elde edilen değişken değeri : rgb_chn

time.sleep(1)

print(""" 
             0. LSB 
             1. Sequential           
             2. Sequential in All Frame 
             3. Non-Sequential in All Frame
     """)
alg_proc = int(input("Select Algorithm :"))
if alg_proc == 0:
    alg_slct = "lsb"
if alg_proc == 1:
    alg_slct = "sirali"
if alg_proc == 2:
    alg_slct = "t_sirali"
if alg_proc == 3:
    alg_slct = "t_random"
time.sleep(1)

print(""" KBM Structure:
            1. Fixed
            2. Shifting
            3. Rotating
            4. Shifting-Rotating
     """)
blok_proc = int(input("Seleck Block Structure (KBM) :"))
if blok_proc == 1:
    blok_slct = "fixed"
if blok_proc == 2:
    blok_slct = "Shifting"
if blok_proc == 3:
    blok_slct = "Rotating"
if blok_proc == 4:
    blok_slct = "Shifting-Rotating"
time.sleep(1)

print(""" 
        Color Channal:
             1. RGB 
             2. R 
             3. G 
             4. B 
         """)
rgb_proc = int(input("Select Color Channal :"))
if rgb_proc == 1:
    rgb_slct = "RGB"
if rgb_proc == 2:
    rgb_slct = "R"
if rgb_proc == 3:
    rgb_slct = "G"
if rgb_proc == 4:
    rgb_slct = "B"


command = ("python StegoEncodeApp\stego.py -i {} -b {} -a {} -c {}".format(msj_data_in_path, blok_slct, alg_slct, rgb_slct))
sp.call(command, shell=True)


